Skip to main content
GET
/
v2
/
lists
/
{listId}
/
fields
/
{fieldId}
/
dropdown-options
/
{dropdownOptionId}
Get a dropdown option for a List Field
curl --request GET \
  --url https://api.affinity.co/v2/lists/{listId}/fields/{fieldId}/dropdown-options/{dropdownOptionId} \
  --header 'Authorization: Bearer <token>'
{
  "type": "dropdown",
  "id": 4,
  "text": "Seed"
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listId
integer<int64>
required

List ID

Required range: 1 <= x <= 9007199254740991
fieldId
string
required

Field ID

Example:

"field-1234"

dropdownOptionId
integer<int64>
required

Dropdown option ID

Required range: 1 <= x <= 9007199254740991

Response

OK

id
integer<int64>
required

Dropdown option's unique identifier

Required range: 1 <= x <= 9007199254740991
Example:

1

text
string
required

Dropdown option text

Example:

"Active"

type
string
required

The type of dropdown option

Allowed value: "dropdown"